import { RouterMount, createRouter } from 'uni-simple-router';

const router = createRouter({
  platform: process.env.VUE_APP_PLATFORM,
  applet: {
    animationDuration: 300, //默认 300ms  v2.0.6+
  },
  routes: [...ROUTES],
  beforeProxyHooks: {
    onLoad(options, next) {
      next([router.currentRoute.query]);
    },
    onShow([options], next) {
      console.log(this);
      const args = options || router.currentRoute.query;
      next([args]);
    },
  },
});
//全局路由前置守卫
router.beforeEach((to, from, next) => {
  next();
});
// 全局路由后置守卫
router.afterEach((to, from) => {});

export { router, RouterMount };
